Package be.ehealth.technicalconnector.handler

# Class ConnectionTimeOutHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.ConnectionTimeOutHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class ConnectionTimeOutHandler extends AbstractSOAPHandler
SOAPHandler that sets the connection timeout to the of a webservice call. Default value: 30sec

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECT_TIMEOUT_PROP`
  Property to specify the connection timeout in miliseconds.
  `static final String`
  `REQUEST_TIMEOUT_PROP`
  Property to specify the connection timeout in miliseconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionTimeOutHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleInbound, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REQUEST_TIMEOUT_PROP

    public static final String REQUEST_TIMEOUT_PROP
    Property to specify the connection timeout in miliseconds.

    Default 30.000 miliseconds. Value -1 is forever.

    See Also:
      - Constant Field Values

  - ### CONNECT_TIMEOUT_PROP

    public static final String CONNECT_TIMEOUT_PROP
    Property to specify the connection timeout in miliseconds.

    Default 30.000 miliseconds. Value -1 is forever.

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionTimeOutHandler

    public ConnectionTimeOutHandler()

- ## Method Details

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Overrides:
      `handleFault` in class `AbstractSOAPHandler`